Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
BRefNode Struct Reference

`#include <regparse.h>`

## Data Fields
NodeBase | base
int | state
int | back_num
int | back_static [NODE_BACKREFS_SIZE]
int * | back_dynamic
int | nest_level

## Detailed Description

Definition at line 235 of file regparse.h.

## Field Documentation

## ◆ back_dynamic

int* BRefNode::back_dynamic

Definition at line 240 of file regparse.h.

## ◆ back_num

int BRefNode::back_num

Definition at line 238 of file regparse.h.

## ◆ back_static

int BRefNode::back_static[NODE_BACKREFS_SIZE]

Definition at line 239 of file regparse.h.

## ◆ base

NodeBase BRefNode::base

Definition at line 236 of file regparse.h.

## ◆ nest_level

int BRefNode::nest_level

Definition at line 241 of file regparse.h.

## ◆ state

int BRefNode::state

Definition at line 237 of file regparse.h.

The documentation for this struct was generated from the following file:

- regparse.h